org.apache.jmeter.gui

## Class CorrelationTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - org.apache.jmeter.gui.CorrelationTableModel

- All Implemented Interfaces:
    Serializable, TableModel

      public class CorrelationTableModel
      extends AbstractTableModel

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String[]` | `columnNames`
    `protected static Object[][]` | `rowData`

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorrelationTableModel()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getColumnClass(int column)`
    `int` | `getColumnCount()`
    `String` | `getColumnName(int column)`
    `String[]` | `getColumnNames()`
    `int` | `getRowCount()`
    `static Object[][]` | `getRowData()`
    `Object` | `getValueAt(int row, int column)`
    `boolean` | `isCellEditable(int row, int column)`
    `static void` | `setColumnNames(String... columnNames)`
    `static void` | `setRowData(Object[][] rowData)`
    `void` | `setValueAt(Object value, int row, int column)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rowData

          protected static Object[][] rowData

    - #### columnNames

          protected static String[] columnNames

  - ### Constructor Detail

    - #### CorrelationTableModel

          public CorrelationTableModel()

  - ### Method Detail

    - #### getRowData

          public static Object[][] getRowData()

    - #### setRowData

          public static void setRowData(Object[][] rowData)

    - #### getColumnNames

          public String[] getColumnNames()

    - #### setColumnNames

          public static void setColumnNames(String... columnNames)

    - #### getColumnCount

          public int getColumnCount()

    - #### getColumnName

          public String getColumnName(int column)

      Specified by:
        `getColumnName` in interface `TableModel`
      Overrides:
        `getColumnName` in class `AbstractTableModel`

    - #### getRowCount

          public int getRowCount()

    - #### getValueAt

          public Object getValueAt(int row,
                                   int column)

    - #### getColumnClass

          public Class<?> getColumnClass(int column)

      Specified by:
        `getColumnClass` in interface `TableModel`
      Overrides:
        `getColumnClass` in class `AbstractTableModel`

    - #### setValueAt

          public void setValueAt(Object value,
                                 int row,
                                 int column)

      Specified by:
        `setValueAt` in interface `TableModel`
      Overrides:
        `setValueAt` in class `AbstractTableModel`

    - #### isCellEditable

          public boolean isCellEditable(int row,
                                        int column)

      Specified by:
        `isCellEditable` in interface `TableModel`
      Overrides:
        `isCellEditable` in class `AbstractTableModel`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.